import 'package:device_properties/device_properties.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

void main() {
  runApp(const DevicePropertiesApp());
}

class DevicePropertiesApp extends StatelessWidget {
  const DevicePropertiesApp({Key? key}) : super(key: key);

  void Function()? getDevicesProperties() {
    return () async {
      /// Initialize Plugin
      final devicePropertiesPlugin = DeviceProperties();
      try {
        /// get all devices properties
        var deviceProperties = await devicePropertiesPlugin.getDevicesProperties();
        print("your devices properties detail :\n${deviceProperties?.toJson()}");

        /// only get your ip public
        var ipPublic = await devicePropertiesPlugin.getPublicIp();
        print("your devices ip public detail :\n$ipPublic");
      } on PlatformException {
        /// Handle Error
        return;
      }
    };
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Scaffold(
          appBar: AppBar(title: const Text("DevicePropertiesApp")),
          body: Center(
            child: ElevatedButton(
                onPressed: getDevicesProperties(), child: const Text("Get Properties")),
          )),
    );
  }
}
