/*
 * Dayona
 * Created on Thu May 26 2022
 * email : dayonaart@gmail.com
 * Copyright (c) 2022
 */

import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'device_properties_method_channel.dart';

abstract class DevicePropertiesPlatform extends PlatformInterface {
  DevicePropertiesPlatform() : super(token: _token);
  static final Object _token = Object();
  static DevicePropertiesPlatform _instance = MethodChannelDeviceProperties();
  static DevicePropertiesPlatform get instance => _instance;
  static set instance(DevicePropertiesPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<DevicesPropertiesModel?> getProperties() {
    throw UnimplementedError('getProperties() not inplement');
  }

  Future<String?> getPublicIp() {
    throw UnimplementedError('getPublicIp() not inplement');
  }
}
